QGIS Application - Bug report #9712
QGis 2.x failes to add vector theme on Fedora 20
2014-03-04 01:12 PM - Vitaly Isaev

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.2.0 Regression?: No
Operating System: Fedora Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 18275
Description

Hello all, I have just faced with an unexpected behavior of QGis 2.x on Fedora Desktop 20. For a some reason | cannot add any vector
theme into the blank QGis project.

Steps to reproduce:

1. Launch QGis from shell;

2. Click "Add Vector Theme"; the new dialogue appears;

3. Leave all the radio buttons and menus by default and click "Browse";

4. QGis gets hanged up with no crash.

The discribed problem was observed both with QGis 2.0 and QGis 2.2 installed from rpms (f20 repo). The full list of installed packages is
attached to this message.

Thank you.

History

#1 - 2014-03-05 12:20 AM - Vitaly Isaev

arch is x86_64

#2 - 2014-03-05 12:25 AM - Giovanni Manghi
- Status changed from Open to Feedback
- Category deleted (Browser)

any important message in the console, if you launch qgis from it? tried to disable/remove all the plugins (or launch ggis with the --noplugins switch)?

#3 - 2014-03-05 12:32 AM - Matthias Kuhn

Both packages work fine here on the same platform.

Edit: | guess you are talking about the alternative repository mentioned on the qgis.org download page. | don't think Fedora has already upgraded its own
repositories to 2.27

#4 - 2014-03-06 09:41 PM - Vitaly Isaev
Thanks to all for the patience!

Giovanni Manghi wrote:

any important message in the console, if you launch qgis from it?

There is no anything special in the shell but this:

[vitaly@thermaltake ~]$ qgis

Warning: loading of gt translation failed [/usr/share/qt4/translations/qt_en_US]

tried to disable/remove all the plugins

I have turned off all the plugins that are launched by default, but the problem still persists.

(or launch qgis with the --noplugins switch)?

[vitaly@thermaltake ~]$ qgis --noplugins
The same result.

#5 - 2014-03-07 11:03 AM - Vitaly Isaev
- % Done changed from 0 to 100
- Status changed from Feedback to Closed

It seems like the problem was in Gnome 3.10. | have installed the latest KDE Plasma DE, and from that point on QGis worked properly.
Thanks for you response.

Files

packages 59.5 KB 2014-03-04 Vitaly Isaev

2025-12-15 22



